Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.LocalDirectoryConfig.Get(ctx, operations.C1APILocalDirectoryV1LocalDirectoryConfigServiceGetRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.LocalDirectoryConfigServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.localDirectoryConfig.get({
appId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/local-directory-configs/{app_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/local-directory-configs/{app_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/local-directory-configs/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"localDirectoryConfig": {
"allowSelfRegistration": true,
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultProfileTypeId": "<string>",
"displayName": "<string>",
"invitationTtl": "<string>",
"isDefault": true,
"onboardingFlowId": "<string>",
"organizationId": "<string>",
"selfRegistrationDomains": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}Local Directory
Get
Get a local directory config by app_id.
GET
/
api
/
v1
/
local-directory-configs
/
{app_id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.LocalDirectoryConfig.Get(ctx, operations.C1APILocalDirectoryV1LocalDirectoryConfigServiceGetRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.LocalDirectoryConfigServiceGetResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.localDirectoryConfig.get({
appId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
Response
200 - application/json
Successful response
The LocalDirectoryConfigServiceGetResponse message.
LocalDirectoryConfig is the public representation of a C1-managed local directory configuration. The underlying directory infrastructure is provided by the linked App (identified by app_id).
Show child attributes
Show child attributes
Was this page helpful?
⌘I